RPR app: What are the software requirements for the mobile apps?

For the best experience, we recommend using an up-to-date mobile device and the most recent version of the operating system. We are no longer able to support operating systems below Android 7.0 or iOS 10.0

Supported mobile OS:
Android 7.0 or above
iOS 10.0 or above

Android users must also have Google Play Services installed.

Need Help?

If you need additional assistance, contact RPR Member Support at (877) 977-7576 or open a Live Chat from any page of the website.

Share This Story, Choose Your Platform!